<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrAdministrativeLicensingMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrAdministrativeLicensing">
            <result property="bz" column="BZ" jdbcType="VARCHAR"/>
            <result property="fbzt" column="FBZT" jdbcType="VARCHAR"/>
            <result property="islate" column="ISLATE" jdbcType="VARCHAR"/>
            <result property="unid" column="UNID" jdbcType="VARCHAR"/>
            <result property="xkFddbrzjlxOther" column="XK_FDDBRZJLX_OTHER" jdbcType="VARCHAR"/>
            <result property="xkFrdb" column="XK_FRDB" jdbcType="VARCHAR"/>
            <result property="xkFrZjhm" column="XK_FR_ZJHM" jdbcType="VARCHAR"/>
            <result property="xkFrZjlx" column="XK_FR_ZJLX" jdbcType="VARCHAR"/>
            <result property="xkJdrq" column="XK_JDRQ" jdbcType="TIMESTAMP"/>
            <result property="xkLbOther" column="XK_LB_OTHER" jdbcType="VARCHAR"/>
            <result property="xkLydw" column="XK_LYDW" jdbcType="VARCHAR"/>
            <result property="xkLydwdm" column="XK_LYDWDM" jdbcType="VARCHAR"/>
            <result property="xkNr" column="XK_NR" jdbcType="VARCHAR"/>
            <result property="xkWsh" column="XK_WSH" jdbcType="VARCHAR"/>
            <result property="xkXdrGszc" column="XK_XDR_GSZC" jdbcType="VARCHAR"/>
            <result property="xkXdrLb" column="XK_XDR_LB" jdbcType="VARCHAR"/>
            <result property="xkXdrShxym" column="XK_XDR_SHXYM" jdbcType="VARCHAR"/>
            <result property="xkXdrShzz" column="XK_XDR_SHZZ" jdbcType="VARCHAR"/>
            <result property="xkXdrSwdj" column="XK_XDR_SWDJ" jdbcType="VARCHAR"/>
            <result property="xkXdrSydw" column="XK_XDR_SYDW" jdbcType="VARCHAR"/>
            <result property="xkXdrZjhm" column="XK_XDR_ZJHM" jdbcType="VARCHAR"/>
            <result property="xkXdrZjlx" column="XK_XDR_ZJLX" jdbcType="VARCHAR"/>
            <result property="xkXdrZzjg" column="XK_XDR_ZZJG" jdbcType="VARCHAR"/>
            <result property="xkXkbh" column="XK_XKBH" jdbcType="VARCHAR"/>
            <result property="xkXkjg" column="XK_XKJG" jdbcType="VARCHAR"/>
            <result property="xkXkjgdm" column="XK_XKJGDM" jdbcType="VARCHAR"/>
            <result property="xkXklb" column="XK_XKLB" jdbcType="VARCHAR"/>
            <result property="xkXkws" column="XK_XKWS" jdbcType="VARCHAR"/>
            <result property="xkXkzs" column="XK_XKZS" jdbcType="VARCHAR"/>
            <result property="xkYxqz" column="XK_YXQZ" jdbcType="TIMESTAMP"/>
            <result property="xkYxqzi" column="XK_YXQZI" jdbcType="TIMESTAMP"/>
            <result property="xkZjlxOther" column="XK_ZJLX_OTHER" jdbcType="VARCHAR"/>
            <result property="xkZt" column="XK_ZT" jdbcType="VARCHAR"/>
            <result property="batchNo" column="batch_no" jdbcType="BIGINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createUser" column="create_user" jdbcType="VARCHAR"/>
            <result property="dataCode" column="data_code" jdbcType="VARCHAR"/>
            <result property="depId" column="dep_id" jdbcType="INTEGER"/>
            <result property="entityCode" column="entity_code" jdbcType="VARCHAR"/>
            <result property="entityCodeAdd" column="entity_code_add" jdbcType="VARCHAR"/>
            <result property="entityName" column="entity_name" jdbcType="VARCHAR"/>
            <result property="entityType" column="entity_type" jdbcType="VARCHAR"/>
            <result property="id" column="id" jdbcType="BIGINT"/>
            <result property="inventoryId" column="inventory_id" jdbcType="INTEGER"/>
            <result property="inventorySourceId" column="inventory_source_id" jdbcType="INTEGER"/>
            <result property="isDel" column="is_del" jdbcType="INTEGER"/>
            <result property="metaId" column="meta_id" jdbcType="INTEGER"/>
            <result property="orgId" column="org_id" jdbcType="INTEGER"/>
            <result property="reportState" column="report_state" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateUser" column="update_user" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        BZ,FBZT,ISLATE,
        UNID,XK_FDDBRZJLX_OTHER,XK_FRDB,
        XK_FR_ZJHM,XK_FR_ZJLX,XK_JDRQ,
        XK_LB_OTHER,XK_LYDW,XK_LYDWDM,
        XK_NR,XK_WSH,XK_XDR_GSZC,
        XK_XDR_LB,XK_XDR_SHXYM,XK_XDR_SHZZ,
        XK_XDR_SWDJ,XK_XDR_SYDW,XK_XDR_ZJHM,
        XK_XDR_ZJLX,XK_XDR_ZZJG,XK_XKBH,
        XK_XKJG,XK_XKJGDM,XK_XKLB,
        XK_XKWS,XK_XKZS,XK_YXQZ,
        XK_YXQZI,XK_ZJLX_OTHER,XK_ZT,
        batch_no,create_time,create_user,
        data_code,dep_id,entity_code,
        entity_code_add,entity_name,entity_type,
        id,inventory_id,inventory_source_id,
        is_del,meta_id,org_id,
        report_state,status,update_time,
        update_user
    </sql>
</mapper>
